org.eclipse.emf.cdo.transaction

## Interface CDOMerger

- All Known Subinterfaces:
    CDOMerger2
  All Known Implementing Classes:
    DefaultCDOMerger, DefaultCDOMerger.PerFeature, DefaultCDOMerger.PerFeature.ManyValued, DefaultCDOMerger.PerFeature.ManyValuedOld

      public interface CDOMerger

  Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOMerger.ConflictException` Thrown from a `merger` in case of conflicting changes in the a source and target `change sets`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeSetData` | `merge(CDOChangeSet target, CDOChangeSet source)` Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.

- - ### Method Detail

    - #### merge

          CDOChangeSetData merge(CDOChangeSet target,
                                 CDOChangeSet source)
                          throws CDOMerger.ConflictException

      Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
      Throws:
        `CDOMerger.ConflictException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html